Genomic Elements Phenotypes
curl --request GET \
--url https://api.catalogkg.igvf.org/api/genomic-elements/phenotypesimport requests
url = "https://api.catalogkg.igvf.org/api/genomic-elements/phenotypes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catalogkg.igvf.org/api/genomic-elements/phenotypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"source": "<string>",
"source_url": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"files_filesets": "<string>",
"genomic_element": "<string>",
"phenotype": "<string>",
"crispr_modality": "<string>",
"z_score": 123,
"p_value": 123,
"neg_log10_pvalue": 123,
"significant": true,
"num_guides": 123,
"num_guides_hit": 123,
"num_guides_nonhit": 123,
"fraction_guides_hit": 123,
"phenotype_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genomic Elements Phenotypes
Retrieve genomic element to phenotype associations by querying genomic elements.
At least one of these properties must be defined: region, files_fileset, phenotype_id, or phenotype_name.
Set significant = true to return only significant associations.
Set verbose = true to retrieve full info on the genomic element.
Example: phenotype_id = GO_0016477,
phenotype_name = cell migration,
significant = true,
files_fileset = IGVFFI5135QZCS,
region = chr1:101174581-101175330 (maximum length: 10kb).
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Genomic Elements Phenotypes
curl --request GET \
--url https://api.catalogkg.igvf.org/api/genomic-elements/phenotypesimport requests
url = "https://api.catalogkg.igvf.org/api/genomic-elements/phenotypes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catalogkg.igvf.org/api/genomic-elements/phenotypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"source": "<string>",
"source_url": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"files_filesets": "<string>",
"genomic_element": "<string>",
"phenotype": "<string>",
"crispr_modality": "<string>",
"z_score": 123,
"p_value": 123,
"neg_log10_pvalue": 123,
"significant": true,
"num_guides": 123,
"num_guides_hit": 123,
"num_guides_nonhit": 123,
"fraction_guides_hit": 123,
"phenotype_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
cell population proliferation, cell migration Available options:
true Available options:
Homo sapiens Available options:
true, false Response
Successful response